Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.visualization.control
Class AbstractPopupGraphMousePlugin

    java.lang.Object
      edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin
          edu.uci.ics.jung.visualization.control.AbstractPopupGraphMousePlugin

All Implemented Interfaces:
  EventListener, GraphMousePlugin, MouseListener

Direct Known Subclasses:
  EditingPopupGraphMousePlugin, PluggableRendererDemo.PopupGraphMousePlugin

public abstract class AbstractPopupGraphMousePlugin
extends AbstractGraphMousePlugin
implements MouseListener

Field Summary

Fields inherited from class edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin
`cursor, down, modifiers`

Constructor Summary
`AbstractPopupGraphMousePlugin()`
`AbstractPopupGraphMousePlugin(int modifiers)`

Method Summary
`protected abstract void` | `handlePopup(MouseEvent e)`
`void` | `mouseClicked(MouseEvent e)`
`void` | `mouseEntered(MouseEvent e)`
`void` | `mouseExited(MouseEvent e)`
`void` | `mousePressed(MouseEvent e)`
`void` | `mouseReleased(MouseEvent e)` if this is the popup trigger, process here, otherwise defer to the superclass

Methods inherited from class edu.uci.ics.jung.visualization.control.AbstractGraphMousePlugin
`checkModifiers, getCursor, getModifiers, setCursor, setModifiers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractPopupGraphMousePlugin

    public AbstractPopupGraphMousePlugin()

### AbstractPopupGraphMousePlugin

    public AbstractPopupGraphMousePlugin(int modifiers)

Method Detail

### mousePressed

    public void mousePressed(MouseEvent e)

  Specified by:
    `mousePressed` in interface `MouseListener`

### mouseReleased

    public void mouseReleased(MouseEvent e)

  if this is the popup trigger, process here, otherwise defer to the superclass

  Specified by:
    `mouseReleased` in interface `MouseListener`

### handlePopup

    protected abstract void handlePopup(MouseEvent e)

  Parameters:
    `e` -

### mouseClicked

    public void mouseClicked(MouseEvent e)

  Specified by:
    `mouseClicked` in interface `MouseListener`

### mouseEntered

    public void mouseEntered(MouseEvent e)

  Specified by:
    `mouseEntered` in interface `MouseListener`

### mouseExited

    public void mouseExited(MouseEvent e)

  Specified by:
    `mouseExited` in interface `MouseListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD